<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        xmlns:bind="http://schemas.android.com/tools"
    >

    <data>

        <import type="android.net.Uri"/>

        <variable
            name="user"
            type="org.oursci.android.common.vo.LoginUser"/>
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/backgroundDeviceInfo"
        android:gravity="bottom"
        android:orientation="vertical"
        android:paddingTop="@dimen/activity_vertical_margin"
        android:theme="@style/ThemeOverlay.AppCompat.Dark">

        <org.oursci.android.common.ui.profile.ProfileImageView
            android:id="@+id/imageView"
            android:layout_width="match_parent"
            android:layout_height="@dimen/nav_header_height"
            android:adjustViewBounds="true"
            android:padding="@dimen/activity_vertical_margin"
            android:scaleType="fitCenter"
            android:src="@{user.imageUri}"
            />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="bottom"
            android:background="@color/colorAccent"
            android:padding="@dimen/nav_header_vertical_spacing"
            android:text='@{user.userName()}'
            android:textAppearance="@style/TextAppearance.AppCompat.Body1"
            android:textSize="16sp"/>

    </LinearLayout>
</layout>
